Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235039 - conditionalized flush causes clear region requests to remain unflushed
Summary: conditionalized flush causes clear region requests to remain unflushed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 15:00 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:45:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Jonathan Earl Brassow 2007-04-03 15:00:51 UTC
If you suspend/dtr a mirror, clear region requests are not flushed to disk. 
This means that the next time a cluster mirror is started, those regions will be
incorrectly assumed to be not in-sync.

The culprit is in rh_update_states:
        if (!list_empty(&recovered))
                rh->log->type->flush(rh->log);

The conditional should be removed.  Note that this does not cause extra disk
activity, since the (disk) log checks for lc->touched.

Comment 1 Jonathan Earl Brassow 2007-04-05 16:08:20 UTC
patch posted to dm-devel

https://www.redhat.com/archives/dm-devel/2007-April/msg00002.html


Comment 2 Jonathan Earl Brassow 2007-05-08 18:23:26 UTC
assigned -> post


Comment 3 RHEL Product and Program Management 2007-05-08 18:42:29 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 4 Don Zickus 2007-06-16 00:33:38 UTC
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2007-11-07 19:45:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.